import request from '@/utils/request'

// 查询国内品牌数据列表
export function listBrandData(query) {
  return request({
    url: '/control/brandData/list',
    method: 'get',
    params: query
  })
}

// 查询国内品牌数据详细
export function getBrandData(id) {
  return request({
    url: '/control/brandData/' + id,
    method: 'get'
  })
}

// 新增国内品牌数据
export function addBrandData(data) {
  return request({
    url: '/control/brandData',
    method: 'post',
    data: data
  })
}

// 修改国内品牌数据
export function updateBrandData(data) {
  return request({
    url: '/control/brandData',
    method: 'put',
    data: data
  })
}

// 删除国内品牌数据
export function delBrandData(id) {
  return request({
    url: '/control/brandData/' + id,
    method: 'delete'
  })
}
